## Docker

This release introduces support for docker compose. Containers in compose projects are grouped together and can be managed all at the same time via the compose project entry.

The container state information shown is also improved, always showing the container state in combination with the system information.

## Batch mode

There is now a batch mode available which allows you to select multiple systems via checkboxes and perform actions for the entire batch. This can include starting/stopping, automatically adding available subconnections, or running scripts on all systems.

You can toggle the batch mode in the top left corner.

## Terminals

There is now built-in support for the terminal multiplexers tmux, zellij, and screen.

There is also now support for custom prompts with starship, oh-my-posh, and oh-my-zsh.

You can now run custom init commands for the terminal session to configure the terminal appearance specific to XPipe.

On Windows, you now have the ability to use a WSL or Cygwin environment as the terminal environment, allowing you to use the new terminal multiplexer integration seamlessly on Windows as well.

## Password managers

The password manager integration has been improved and made more robust:
- There is now support for KeePassXC
- Password manager requests are cached, fixing potential password manager overload issues when a lot of passwords are queried
- The password $KEY identifier has been adapted to reflect the individual name of the password key reference

## Other

- The SSH gateway implementation has been reworked so that you can now use local SSH keys and other identities for connections with gateways
- Generated connection names, e.g. VM names, will now automatically update on refresh when they were changed
- You can now unlock the vault with your password manager
- Various speed improvements for shell operations
- Various startup speed improvements
- The scripts context menu now shows the respective scripts icons instead of generic ones
- There is now built-in support to refresh an SSO openpubkey with the opkssh tool when needed
- When the SSH password is set to none, XPipe will no longer prompt for it anyway if the preferred auth failed
- The Windows application will now block the shutdown until save/sync has finished, preventing vault corruption caused by a sudden shutdown
- Add setting to disable HTTPs TLS verification for license activation API calls for cases where TLS traffic is decrypted in your organization

## Fixes

- Fix various embedded and busybox systems failing to open in file browser when essential commands like stat were missing
- Fix Windows msi updates failing when initial installation was installed per-user as an Administrator
- Fix Windows msi updates launching XPipe as Administrator when restarting if it was a system-wide program files installation
- Fix some dialog content shifting around on initial show
- Fix application restart after update not applying current workspace directory
- Fix custom service commands not launching properly with PowerShell as the local shell
- Fix update check being influenced by the local GitHub rate limiting
- Fix repeated file browser errors when remote system did not have the stat command
- Fix Windows terminal launch failing if default profile was set to launch as admin
